Bug 1021184 - debug/verbose flags for nova and ceilometer
debug/verbose flags for nova and ceilometer
Status: CLOSED WONTFIX
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Francesco Vollero
Nir Magnezi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-20 04:23 EDT by Florian La Roche
Modified: 2013-11-22 12:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 10:40:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2013-10-20 04:23:22 EDT
Description of problem:

An RDO installation of the newest havana rpms leeds to
/etc/nova/nova.conf with "debug" set to True and also
/etc/ceilometer/ceilometer.conf with verbose set to True.

Version-Release number of selected component (if applicable):


How reproducible:

# grep ^debug /etc/nova/nova.conf 
debug=True
# grep ^verbose /etc/ceilometer/ceilometer.conf 
verbose=True



Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Francesco Vollero 2013-11-21 10:38:51 EST
Hi, 

there is an explanation for those flags: 

nova without debug will not return any log so it would be impossible to catch errors.

In ceilometer, the verbose flag, is common, to catch also the WARNINGS other than just INFO messages.

Note You need to log in before you can comment on or make changes to this bug.